/* 
 * Copyright 2016 IS2T. All rights reserved.
 * Modification and distribution is permitted under certain conditions.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _BUTTONS_HELPER_CONFIGURATION
#define _BUTTONS_HELPER_CONFIGURATION

/* Defines -------------------------------------------------------------------*/

/*
 * Number of buttons the helper has to manage
 */
#define NUMBER_OF_BUTTONS	5

/*
 * When defined, specify the filter time between two pressed events on same button.
 * If time between two pressed events is smaller than this time, the new pressed
 * event is canceled.
 * Time is milliseconds
 */
#define BUTTON_FILTER_TIME	150

#endif
