
/*
 *	H
 *	
 *	Copyright 2016 IS2T. All rights reserved.
 *	IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _LLDISPLAY_st7789h2
#define _LLDISPLAY_st7789h2

/* Includes ------------------------------------------------------------------*/

#include "stm32412g_discovery.h"
#include "stm32412g_discovery_lcd.h"
#include "st7789h2.h"

/* Defines -------------------------------------------------------------------*/

/*
 * Frame buffer destination (constant address)
 */
#define FMC_BANK1_DATA  ((uint32_t)(0x60000000 | 0x00000002))

/*
 * LCD TE pin (TE pin available in LCD driver is wrong)
 */
#define LCD_TEARING_PIN GPIO_PIN_4
#define LCD_TEARING_IRQ EXTI4_IRQn
#define LCD_TEARING_PORT GPIOG

/* API -----------------------------------------------------------------------*/

void LLDISPLAY_initialization(void);
void LLDISPLAY_tearing_interrupt(void);
void Wait_LCD(void);
void LLDISPLAY_copy_buffer(int32_t addr, int32_t size);

#endif // _LLDISPLAY_st7789h2
